library(stockassessment)
load("run/model.RData")
Fbar<-tail(fbartable(fit),1)[1]
TAC<-10280
FC<-list()

# SQ all years
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(Fbar, Fbar, Fbar, Fbar), processNoiseF=FALSE, label="SQ F all years")

# 2025= TAC the SQ all years
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,TAC,NA, NA), fval=c(Fbar, NA, 0.673, 0.673), processNoiseF=FALSE, label="2025F=TAC then SQ F")


# SQ then zero
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(Fbar,Fbar,0.000001, 0.000001), processNoiseF=FALSE, label="SQ F then zero")

# SQ then zero
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,TAC,NA, NA), fval=c(Fbar,NA,0.000001, 0.000001), processNoiseF=FALSE, label="2025F=TACF then zero")



#Fmsy
set.seed(12345)
Fmsy<-0.25
FC[[length(FC)+1]] <- forecast(fit, fval=c(Fbar,Fbar,Fmsy, Fmsy), processNoiseF=FALSE, label="2025F=2024F then Fmsy")

# 2025 catch based on TAC
#set.seed(12345)
#TAC<-10280
#FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,TAC,NA, NA),fval=c(Fbar,NA,Fmsy, Fmsy), processNoiseF=FALSE, label="2025F=TAC then Fmsy")


#Fmsy - 2023 SSB below Btrigger - so Fmsy
#set.seed(12345)

#FC[[length(FC)+1]] <- forecast(fit, fval=c(Fbar,Fbar,0.14, 0.14), processNoiseF=FALSE, label="2024F=2023F then Fmsy (reduced based on Btrigger")



save(FC, file="run/forecast.RData")